### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.user

# Class UserServiceMBean

java.lang.Object
javax.management.NotificationBroadcasterSupport
com.sas.services.util.AbstractMBean
com.sas.services.user.UserServiceMBean

All Implemented Interfaces:
  `javax.management.DynamicMBean`, `javax.management.NotificationBroadcaster`, `javax.management.NotificationEmitter`

@SASScope("ALL") @BinaryCompatibilityOnly public class UserServiceMBean extends AbstractMBean
User Service MBean.

Since:
  9.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DESTROY_USER_DESCRIPTION`
  `static final String`
  `DESTROY_USER_METHOD_NAME`
  `static final String[]`
  `SUMMARY_DATA_DESCRIPTIONS`
  `static final String[]`
  `SUMMARY_DATA_INDEX_NAMES`
  `static final String`
  `SUMMARY_TABULARTYPE_DESCRIPTION`
  `static final String`
  `SUMMARY_TABULARTYPE_NAME`
  `static final String`
  `USERCONTEXT_ID_PARM_DESCRIPTION`
  `static final String`
  `USERCONTEXT_ID_PARM_NAME`

  ### Fields inherited from class com.sas.services.util.AbstractMBean

  `READ_ACCESS, WRITE_ACCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserServiceMBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `destroyUser(String userContextId)`
  `int`
  `getAuthCount()`
  `int`
  `getFailureCount()`
  `javax.management.openmbean.TabularData`
  `getFailureDetailData()`
  `Date`
  `getServiceStart()`
  `protected Object`
  `getTargetObject()`
  Get the target object for this MBean.
  `int`
  `getUserCount()`
  `javax.management.openmbean.TabularData`
  `getUserDetailData()`
  Invoked by the User Service MBean to obtain the user summary information for all active user contexts.

  ### Methods inherited from class com.sas.services.util.AbstractMBean

  `addMBeanAttribute, addMBeanConstructor, addMBeanNotification, addMBeanOperation, getAttribute, getAttributes, getMBeanInfo, getNotificationInfo, getType, invoke, removeMBeanAttribute, setAttribute, setAttributes`

  ### Methods inherited from class javax.management.NotificationBroadcasterSupport

  `addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SUMMARY_DATA_DESCRIPTIONS

    public static final String[] SUMMARY_DATA_DESCRIPTIONS

  - ### SUMMARY_TABULARTYPE_NAME

    public static final String SUMMARY_TABULARTYPE_NAME
    See Also:
      - Constant Field Values

  - ### SUMMARY_TABULARTYPE_DESCRIPTION

    public static final String SUMMARY_TABULARTYPE_DESCRIPTION

  - ### SUMMARY_DATA_INDEX_NAMES

    public static final String[] SUMMARY_DATA_INDEX_NAMES

  - ### DESTROY_USER_METHOD_NAME

    public static final String DESTROY_USER_METHOD_NAME
    See Also:
      - Constant Field Values

  - ### DESTROY_USER_DESCRIPTION

    public static final String DESTROY_USER_DESCRIPTION

  - ### USERCONTEXT_ID_PARM_NAME

    public static final String USERCONTEXT_ID_PARM_NAME

  - ### USERCONTEXT_ID_PARM_DESCRIPTION

    public static final String USERCONTEXT_ID_PARM_DESCRIPTION

- ## Constructor Details

  - ### UserServiceMBean

    public UserServiceMBean()

- ## Method Details

  - ### destroyUser

    public String destroyUser(String userContextId) throws Exception
    Throws:
      `Exception`

  - ### getUserCount

    public int getUserCount()

  - ### getFailureCount

    public int getFailureCount()

  - ### getAuthCount

    public int getAuthCount()

  - ### getServiceStart

    public Date getServiceStart()

  - ### getUserDetailData

    public javax.management.openmbean.TabularData getUserDetailData() throws Exception
    Invoked by the User Service MBean to obtain the user summary information for all active user contexts.
    Returns:
      `TabularData` representing the user summary data for all active user contexts..
    Throws:
      `Exception` - if something bad happens.

  - ### getFailureDetailData

    public javax.management.openmbean.TabularData getFailureDetailData() throws Exception
    Throws:
      `Exception`

  - ### getTargetObject

    protected Object getTargetObject()
    Get the target object for this MBean. This will be this Logging Service MBean. Note that if we didn't need to intercept invocations of changeLoggerPriority, so that we can emit AttributeChangeNotifications then we could set the target object to the logging service and let its methods be invoked directly from the jmx server.
    Specified by:
      `getTargetObject` in class `AbstractMBean`
    Returns:
      the target object for this MBean.